사용 가능한 엔드포인트
리스트 멤버 조회
리스트 멤버 조회
리스트 멤버 관리
멤버 추가 및 삭제
인증
간단한 예제
cURL
다음 단계
리스트 조회
리스트 상세 정보 가져오기
리스트 포스트
리스트에서 포스트 가져오기
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
리스트 멤버 엔드포인트 사용 시작하기
| 작업 | 인증 |
|---|---|
| 멤버 조회 | Bearer 토큰, OAuth 1.0a, 또는 OAuth 2.0 PKCE |
| 멤버 추가/제거 | OAuth 1.0a 또는 OAuth 2.0 PKCE |
# 리스트 멤버 조회
curl "https://api.x.com/2/lists/84839422/members" \
-H "Authorization: Bearer $BEARER_TOKEN"
from xdk import Client
client = Client(bearer_token="YOUR_BEARER_TOKEN")
# 리스트 멤버 조회
for page in client.lists.get_members("84839422"):
for user in page.data:
print(f"{user.username}")
import { Client } from "@xdevplatform/xdk";
const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });
// 리스트 멤버 조회
const paginator = client.lists.getMembers("84839422");
for await (const page of paginator) {
page.data?.forEach((user) => {
console.log(user.username);
});
}